Skip to content

Retrieve effective player configuration

GET
/api/v1/player/config
curl --request GET \
--url https://example.com/api/v1/player/config

Requires an authenticated player credential.

Versioned player config

Media typeapplication/json
object
data
required
object
schemaVersion
required
integer
>= 1
configRevision
required
integer format: int64
generatedAt
required
string format: date-time
branding
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
playback
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
cache
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
sync
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
reliability
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
website
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
power
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
managedKiosk
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
linuxKiosk
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
accessibility
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
updates
required

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
presentationNetwork

One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.

object
key
additional properties
any
Examplegenerated
{
"data": {
"schemaVersion": 1,
"configRevision": 1,
"generatedAt": "2026-04-15T12:00:00Z",
"branding": {},
"playback": {},
"cache": {},
"sync": {},
"reliability": {},
"website": {},
"power": {},
"managedKiosk": {},
"linuxKiosk": {},
"accessibility": {},
"updates": {},
"presentationNetwork": {}
}
}

Not modified